Managed VMware vSphere
All operations require authentication.
List services. Returns the Hosted Private Cloud services attached to the vRack.Production
Path parameters
The internal name of your vrack
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vrack/ {serviceName}/ dedicatedCloud \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a service. Returns the attached Hosted Private Cloud service and its vRack.Production
Path parameters
your dedicated cloud service
The internal name of your vrack
Response
your dedicated cloud service
Dedicated cloud vlanId used
vrack name
Example uses dedicatedCloud = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vrack/ {serviceName}/ dedicatedCloud/ {dedicatedCloud} \
-H "authorization: Bearer $OVH_TOKEN"{ "dedicatedCloud": "string", "vlanId": 0, "vrack": "string"}
Attach a serviceProduction
Attach a service. Attaches a Hosted Private Cloud service to the vRack. Returns the task that performs it.
Path parameters
The internal name of your vrack
Request body (required)
Response
Task status
cancelleddoingdoneinittodoExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vrack/ {serviceName}/ dedicatedCloud \
-H "authorization: Bearer $OVH_TOKEN"{ "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "orderId": 0, "serviceName": "string", "status": "cancelled", "targetDomain": "string", "todoDate": "2024-01-01T12:00:00Z"}
Detach a serviceProduction
Detach a service. Detaches the Hosted Private Cloud service from the vRack. Returns the task that performs it.
Path parameters
your dedicated cloud service
The internal name of your vrack
Response
Task status
cancelleddoingdoneinittodoExample uses dedicatedCloud = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vrack/ {serviceName}/ dedicatedCloud/ {dedicatedCloud} \
-H "authorization: Bearer $OVH_TOKEN"{ "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "orderId": 0, "serviceName": "string", "status": "cancelled", "targetDomain": "string", "todoDate": "2024-01-01T12:00:00Z"}
List datacenters. Returns the Private Cloud datacenters attached to the vRack.Production
Path parameters
The internal name of your vrack
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vrack/ {serviceName}/ dedicatedCloudDatacenter \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a datacenter. Returns the attached Private Cloud datacenter and its vRack.Production
Path parameters
Your dedicatedCloud datacenter name
The internal name of your vrack
Response
Your dedicatedCloud datacenter name
Your dedicatedCloud name
vrack name
Example uses datacenter = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vrack/ {serviceName}/ dedicatedCloudDatacenter/ {datacenter} \
-H "authorization: Bearer $OVH_TOKEN"{ "datacenter": "string", "dedicatedCloud": "string", "vrack": "string"}
List target vRacks. Returns the vRacks the Private Cloud datacenter can be moved to.Production
Path parameters
Your dedicatedCloud datacenter name
The internal name of your vrack
Response
Example uses datacenter = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vrack/ {serviceName}/ dedicatedCloudDatacenter/ {datacenter}/ allowedVrack \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Move a datacenterProduction
Move a datacenter. Moves the Private Cloud datacenter to another vRack. Returns the task that performs it.
Path parameters
Your dedicatedCloud datacenter name
The internal name of your vrack
Request body (required)
The internal name of your target vrack
Response
Task status
cancelleddoingdoneinittodoExample uses datacenter = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vrack/ {serviceName}/ dedicatedCloudDatacenter/ {datacenter}/ move \
-H "authorization: Bearer $OVH_TOKEN"{ "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "orderId": 0, "serviceName": "string", "status": "cancelled", "targetDomain": "string", "todoDate": "2024-01-01T12:00:00Z"}